DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD Packages and Ports

OpenBSD Packages and Ports Installation and upgrading of packages and ports on OpenBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 9th August 2014
st1905 st1905 is offline
Port Guard
 
Join Date: Aug 2014
Posts: 12
Thanked 0 Times in 0 Posts
Default Lightspark and posix semaphores

I have successfully built latest lightspark flash plugin on openbsd 5.6 (Needs lots of patches and pkgsrc port does not compile on openbsd, if anyone wants the patched source i`ll share it here ) but it crashes on almost all flash using web pages...

I`ve heard that openbsd does not support posix semaphores and lightspark needs them and actually needs

kern.ipc.shmmax and kern.ipc.semmns to be raised (Those are for freebsd)

but under openbsd raising values for kern.shminfo.shmmax and kern.seminfo.semmns does not work.

So is there any way around this issue ?

Compiling and installing the plugin was a challenge but seeing it crash on all pages makes me furious.
Reply With Quote
  #2   (View Single Post)  
Old 10th August 2014
Oko's Avatar
Oko Oko is offline
Fsck Surgeon
 
Join Date: May 2008
Location: Kosovo, Serbia
Posts: 769
Thanked 36 Times in 32 Posts
Default

I would swear that I read somewhere that 5.6 does support Posix semaphores.

Last edited by Oko; 11th August 2014 at 09:50 PM.
Reply With Quote
  #3   (View Single Post)  
Old 11th August 2014
st1905 st1905 is offline
Port Guard
 
Join Date: Aug 2014
Posts: 12
Thanked 0 Times in 0 Posts
Default

No matter what i do it does not work, crashes all the way on every flash animation. I can`t find valgrind in the openbsd ports, although someone is currently working to port it over to openbsd
Reply With Quote
  #4   (View Single Post)  
Old 11th August 2014
jggimi's Avatar
jggimi jggimi is offline
More noise than signal
 
Join Date: May 2008
Location: USA
Posts: 3,687
Thanked 214 Times in 189 Posts
Default

Quote:
Originally Posted by st1905 View Post
I`ve heard that openbsd does not support posix semaphores ....
According to sem_init(3) and its many brethren man pages, the sem_* syscalls comply with POSIX.1 (ISO/IEC 9945-1:1996). If your application requires semaphores pursuant to later standards (POSIX.1b, POSIX.1c, POSIX.2, or later standards), you'll need a different OS.

Last edited by jggimi; 11th August 2014 at 03:57 PM. Reason: clarity
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
DragonFly BSD's POSIX compatibility? jkl Other BSD and UNIX/UNIX-like 2 16th February 2014 11:25 PM
Lightspark open source Flash player gains PowerPC support J65nko News 10 26th December 2010 05:47 PM
cannot port upgrade php5-posix, complains about vulnerability robklg FreeBSD Installation and Upgrading 5 15th July 2008 09:05 AM


All times are GMT. The time now is 08:15 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick